package com.ruoyi.system.utils;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.web.multipart.MultipartFile;

public class FileConversionUtil {
   public static MultipartFile pathToMultipartFile(Path filePath) throws IOException {
      byte[] fileContent = Files.readAllBytes(filePath);
      return new MockMultipartFile("file", "wp.zip", Files.probeContentType(filePath), fileContent);
   }
}
